Bug 444223 - Review Request: SAASound - Phillips SAA 1099 sound chip emulator library
Review Request: SAASound - Phillips SAA 1099 sound chip emulator library
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
Depends On:
Blocks: 444225
  Show dependency treegraph
Reported: 2008-04-25 16:34 EDT by Hans de Goede
Modified: 2008-04-28 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-28 12:57:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-04-25 16:34:13 EDT
Spec URL: http://people.atrpms.net/~hdegoede/SAASound.spec
SRPM URL: http://people.atrpms.net/~hdegoede/SAASound-3.2-5.fc9.src.rpm
Phillips SAA 1099 sound chip emulator library.
Comment 1 Dan Horák 2008-04-26 03:15:53 EDT
OK	source files match upstream:
	    2c9824b67a09bdbb99ac11ea319b705bf6c09dd2  SAASound-3.2.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (BSD). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	shared libraries are added to the regular linker search paths, ldconfig call
N/A	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers in -devel.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

this package is APPROVED
Comment 2 Hans de Goede 2008-04-26 03:29:40 EDT
Thanks for the review!

New Package CVS Request
Package Name:      SAASound
Short Description: Phillips SAA 1099 sound chip emulator library
Owners:            jwrdegoede
Branches:          F-8 F-9
Cvsextras Commits: Yes
Comment 3 Kevin Fenzi 2008-04-26 12:42:43 EDT
cvs done.
Comment 4 Hans de Goede 2008-04-28 12:57:13 EDT
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.